View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17804Bug reportsQuestion editorpublic2022-06-27 14:03
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.20 
Fixed in Version5.3.x 
Summary17804: InputOnDemand is not loading all prior rows when navigating back
Description

If "auto-add new line" option is not set to Yes, when navigating back, prior loaded rows are not shown.

I guess this happens as well on LS5

These could be usefull for solution:
https://github.com/LimeSurvey/LimeSurvey/blob/master/themes/question/inputondemand/survey/questions/answer/multipleshorttext/assets/scripts/inputondemand.js#L50

Steps To Reproduce

Steps to reproduce

Set a new question:

  • Multiple Short Text
  • Input on demand

Execute the survey, add and fill couple of rows, move next, then move back.

Expected result

See all filled rows

Actual result

Only see first row

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.27.27
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-04-12 21:15

manager   ~69022

PR for LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2342

If good, will apply it also to master.

gabrieljenik

gabrieljenik

2022-04-27 20:58

manager   ~69274

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33446

LimeBot

LimeBot

2022-05-02 10:35

administrator   ~69342

Fixed in Release 3.28.9+220503

gabrieljenik

gabrieljenik

2022-06-21 16:15

manager   ~70453

PR for Master: https://github.com/LimeSurvey/LimeSurvey/pull/2475
Already tested it.

gabrieljenik

gabrieljenik

2022-06-23 15:55

manager   ~70510

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33591

LimeBot

LimeBot

2022-06-27 14:03

administrator   ~70558

Fixed in Release 5.3.22+220628

Related Changesets

LimeSurvey: 3.x-LTS 886e65d0

2022-04-27 20:58:43

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17804: InputOnDemand is not loading all prior rows when navigating back (#2342) Affected Issues
17804
mod - themes/question/inputondemand/survey/questions/answer/multipleshorttext/assets/scripts/inputondemand.js Diff File

LimeSurvey: master 8c049fb6

2022-06-23 15:55:48

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17804: InputOnDemand is not loading all prior rows when navigating back (#2475)

Dev: Removed console.log and comments
Affected Issues
17804
mod - themes/question/inputondemand/survey/questions/answer/multipleshorttext/assets/scripts/inputondemand.js Diff File

Issue History

Date Modified Username Field Change
2021-12-14 16:15 gabrieljenik New Issue
2021-12-14 16:22 galads Assigned To => galads
2021-12-14 16:22 galads Status new => acknowledged
2022-04-12 21:15 gabrieljenik Note Added: 69022
2022-04-12 21:15 gabrieljenik Bug heat 0 => 2
2022-04-12 21:16 gabrieljenik Status acknowledged => ready for testing
2022-04-27 20:58 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 886e65d0
2022-04-27 20:58 gabrieljenik Note Added: 69274
2022-04-27 20:58 gabrieljenik Assigned To galads => gabrieljenik
2022-04-27 20:58 gabrieljenik Resolution open => fixed
2022-04-27 20:58 c_schmitz Status ready for testing => resolved
2022-05-02 10:35 LimeBot Note Added: 69342
2022-05-02 10:35 LimeBot Status resolved => closed
2022-05-02 10:35 LimeBot Bug heat 2 => 4
2022-06-21 16:15 gabrieljenik Status closed => ready for code review
2022-06-21 16:15 gabrieljenik Note Added: 70453
2022-06-23 11:06 DenisChenu Assigned To gabrieljenik => DenisChenu
2022-06-23 11:06 DenisChenu Status ready for code review => in code review
2022-06-23 15:55 gabrieljenik Changeset attached => LimeSurvey master 8c049fb6
2022-06-23 15:55 gabrieljenik Note Added: 70510
2022-06-23 15:55 gabrieljenik Assigned To DenisChenu => gabrieljenik
2022-06-23 15:56 DenisChenu Status in code review => resolved
2022-06-23 15:56 DenisChenu Fixed in Version => 5.3.x
2022-06-27 14:03 LimeBot Note Added: 70558
2022-06-27 14:03 LimeBot Status resolved => closed